/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#ifndef ___INCLUDE_H___
#define ___INCLUDE_H___

#ifndef INLINE
#ifdef MSC_VER
#define INLINE static __inline
#elif __GNUC__
#define INLINE static __inline__
#else
#define INLINE static
#endif
#endif

#ifndef OFF_POSIX_INCLUDE

#include	<math.h>
#include	<stdlib.h>
#include	<netdb.h>
#include	<errno.h>
#include	<sys/types.h>
#include	<sys/socket.h>
#include	<netinet/in.h>
#include	<arpa/inet.h>
#include	<stdio.h>
#include	<unistd.h>
#include	<dirent.h>
#include	<string.h>
#include	<strings.h>
#include 	<ctype.h>


#include	<fcntl.h>
#ifdef VA2
#include	<varargs.h>
#else
#include	<stdarg.h>
#endif

#include	<sys/wait.h>
#include	<sys/time.h>
#include	<signal.h>
#include 	<sys/stat.h>

#endif

#include	"m_include.h"

#ifndef SA_INTERRUPT
#define SA_INTERRUPT	0
#endif

#define INTEGER64	long long

#define m_mkdir		mkdir

#endif
