/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#ifndef ___INCLUDE_H___
#define ___INCLUDE_H___

#include	<unistd.h>
#include	<dirent.h>
#ifdef VA2
#include	<varargs.h>
#else
#include	<stdarg.h>
#endif
#include	<stdlib.h>
#include	<string.h>
#include	<stdio.h>
#include	<fcntl.h>
#include	<math.h>

#define INTEGER64	long long

#define _get_tid()	get_tid()

int strcasecmp(char *,char*);
int ftruncate(int fd, int _len );
int open64(char * filename,int flags,int mode);
INTEGER64 lseek64(int fd,INTEGER64 ofs,int where);


/* inter machine sourcecode */

char * get_path_from_mac_fs(FSSpec inMacFSSpec, Boolean isFolder);
void DeleteAllServerMaster();

#if !__MACH__
int inet_addr(char * addr);
#endif



#endif
